
Foreman - Bug #12661

Page title does not change after editing a host

12/02/2015 05:23 AM - Julien Pivotto

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Step to reproduce:

1. Go to the page describing one host

2. Page title in the browser is "$FQDN"

3. Edit the host

4. Page title in the browser is "Edit $FQDN"

5. Save the host

6. Page title in the browser is "Edit $FQDN"

Expected:

Page title in the browser should be "$FQDN"

Related issues:

Has duplicate Foreman - Bug #15463: After editing a host, page title is  not ... Duplicate 06/20/2016

Has duplicate Foreman - Bug #28411: Host title not updated after editing a host Duplicate

History

#2 - 12/02/2015 05:25 AM - Julien Pivotto

- Description updated

#3 - 12/02/2015 05:25 AM - Julien Pivotto

- Description updated

#4 - 06/20/2016 04:44 AM - Dominic Cleal

- Has duplicate Bug #15463: After editing a host, page title is  not changed added

#5 - 06/20/2016 04:47 AM - Julien Pivotto

- File scrnshot.png added

#6 - 03/25/2020 05:44 PM - Tomer Brisker

- Has duplicate Bug #28411: Host title not updated after editing a host added

#7 - 03/25/2020 05:45 PM - Tomer Brisker

the culprit is at https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/host_edit.js#L172-L195 - host submit only replaces the

page content

#8 - 06/04/2021 08:13 AM - Leos Stejskal

- Triaged changed from No to Yes

Files

scrnshot.png 34.2 KB 06/20/2016 Julien Pivotto
